#include <cstdint>

#include "main.h"
#include "gui_task.h"
#include "task.h"
#include "st7789.h"

static const char* const TAG = "GUI";
static constexpr uint16_t delay_ms = 5000U;

//------------------------------------------------------------------------------

void guiTaskStart(void* argument)
{
	UNUSED(argument);

	vTaskDelay(2000U);

	//HAL_GPIO_WritePin(PWM_DISPLAY_LIGHT_GPIO_Port, PWM_DISPLAY_LIGHT_Pin, GPIO_PIN_SET);
	HAL_GPIO_WritePin(RST_DISPLAY_GPIO_Port, RST_DISPLAY_Pin, GPIO_PIN_SET);

	while(1)
	{
		ST7789_Write_Cmd(0xFA);
		//HAL_GPIO_TogglePin(PWM_DISPLAY_LIGHT_GPIO_Port, PWM_DISPLAY_LIGHT_Pin);

		vTaskDelay(delay_ms);

		//printThreadStackInfo(TAG);
	}
}

//------------------------------------------------------------------------------
